Bug 296491 - Crash on bootup with kernel-xen-2.6.21-2940.fc8
Summary: Crash on bootup with kernel-xen-2.6.21-2940.fc8
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: x86_64 Linux
medium
high
Target Milestone: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-19 15:30 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2009-12-14 20:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 15:23:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot log (6.44 KB, text/plain)
2007-10-11 15:25 UTC, Kai Engert (:kaie) (inactive account)
no flags Details

Description Kai Engert (:kaie) (inactive account) 2007-09-19 15:30:41 UTC
Rawhide x86_64 Xen guest running on a RHEL-5 x86_64 host.

Problem: kernel-xen-2.6.21-2940.fc8 does not boot up.


I used "xm create -c rawhide" and I get a repeated stream of the same error message:
init[1]: segfault at 0000000000000028 rip 00002aaaaacd3f26 rsp 00007fff775050b0
error 4


The previous kernel-xen-2.6.21-2925.14.fc8 works fine.

The host is running kernel-xen-2.6.18-8.1.8.el5
(I confess I rebuilt the official kernel to enable ieee1394 support)

Comment 1 Kai Engert (:kaie) (inactive account) 2007-09-19 15:34:06 UTC
Host: 4 GB Ram
Guest: 1 GB Ram


Comment 2 Kai Engert (:kaie) (inactive account) 2007-09-19 23:56:58 UTC
I updated the host to kernel-xen-2.6.18-8.1.10.el5, same problem

Comment 3 Eduardo Habkost 2007-10-11 14:01:09 UTC
Could you paste or attach the guest console output just before the segfaults 
stream begin?

Comment 4 Kai Engert (:kaie) (inactive account) 2007-10-11 15:23:06 UTC
Good news. Newer Kernel 2.6.21-2947.fc8xen no longer crashes
I'll resolve this bug because I no longer crash with the latest kernel.

But I'll attach a more detailed boot console output from the crashing kernel.


Comment 5 Kai Engert (:kaie) (inactive account) 2007-10-11 15:25:17 UTC
Created attachment 224441 [details]
boot log

using
  xm -c create rawhide | tee logfile
produced some extra line feeds after filtering out all the boot menu data...

Comment 6 Eduardo Habkost 2007-10-11 17:46:58 UTC
Chris Lalancette found the problem: the initrd was generated during the 
upgrade while an older ld.so was installed, but newer nash needed a more 
recent ld.so. Regenerating your initrd should solve the problem.

That also explains why 2.6.21-2947.fc8xen works. Its initrd was generated 
after the system had a working mkinitrd/nash/ld.so set.


Note You need to log in before you can comment on or make changes to this bug.